Skip to main content
`Ctrl`+`K`

# MatSetLocalToGlobalMapping

Sets a local-to-global numbering for use by the routine `MatSetValuesLocal()` to allow users to insert matrix entries using a local (per-processor) numbering.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetLocalToGlobalMapping(Mat x, ISLocalToGlobalMapping rmapping, ISLocalToGlobalMapping cmapping)

Not Collective

## Input Parameters

- x - the matrix

- rmapping - row mapping created with `ISLocalToGlobalMappingCreate()` or `ISLocalToGlobalMappingCreateIS()`

- cmapping - column mapping

## Note

If the matrix is obtained with `DMCreateMatrix()` then this may already have been called on the matrix

## See Also

Matrices, `Mat`, `DM`, `DMCreateMatrix()`, `MatGetLocalToGlobalMapping()`, `MatAssemblyBegin()`, `MatAssemblyEnd()`, `MatSetValues()`, `MatSetValuesLocal()`, `MatGetValuesLocal()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/snes/tutorials/ex48.c
src/tao/bound/tutorials/plate2.c
src/ksp/ksp/tutorials/ex71.c
src/tao/bound/tutorials/plate2f.F90
src/ksp/ksp/tutorials/ex85.c

## Implementations

MatSetLocalToGlobalMapping_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages